body{
  margin: 0;
  min-height: 100vh;
  background: url(Untitled\ design.png);
  object-fit: cover;
  background-repeat: no-repeat;
  background-position: 0 0;
}
nav{
  color: #fff;
  position: fixed;
  inset: auto 0 0 0;
  border-bottom: 20px solid #fff;
  width: min(500px, 100%);
  --w-h-item: 60px;
  --position-x-active: 170px;
}
nav ul{
  padding: 0;
  margin: 0;
  display: grid;
  grid-template-columns: repeat(5, var(--w-h-item));
  grid-template-rows: var(--w-h-item);
  justify-content: space-between;
}
nav ul li{
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 18px;
  transition: 0.5s;
}
nav ul li.active{
  transform: translateY(-10px);
}
nav .effect{
  position: absolute;
  width: 100%;
  left: 0;
  bottom: 0;
  height: calc(var(--w-h-item) + 10px);
  z-index: -1;
  overflow: hidden;
}

nav .effect::before{
  position: absolute;
  left: 0;
  bottom: 0;
  height: var(--w-h-item);
  width: calc(var(--position-x-active) - 10px);
  background: rgba(160, 82, 45,0.7);
  content: '';
  border-top-right-radius: 30px;
  transition: 0.5s;
}
nav .effect::after{
  position: absolute;
  right: 0;
  bottom: 0;
  background: rgba(160, 82, 45,0.7);
  height: var(--w-h-item);
  content: '';
  width: calc(100% - var(--position-x-active) - var(--w-h-item) - 10px);
  border-top-left-radius: 30px;
  transition: 0.5s;
}
nav .effect .circle{
  position: absolute;
  width: var(--w-h-item);
  height: var(--w-h-item);
  background:rgb(65, 105, 225,0.7);
  left: var(--position-x-active);
  border-radius: 50%;
  box-shadow: 0 25px 20px #5555;
  transition: 0.5s;
}

nav .effect .circle::before{
  position: absolute;
  left: -10px;
  right: -10px;
  content: '';
  height: 100%;
  background-color: transparent;
  border-radius: 50%;
  box-shadow: 0 50px 0 30px rgba(160, 82, 45,0.7);
  bottom: -10px;
  transition: 0.5s;
}